<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>
<plugin>
   <extension-point id="deviceImporter" name="Device Importer" schema="schema/org_eclipse_mtj_deviceImporter.exsd"/>
   <extension-point id="configurations" name="J2ME Configurations" schema="schema/org_eclipse_mtj_configurations.exsd"/>
   <extension-point id="profiles" name="J2ME Profiles" schema="schema/org_eclipse_mtj_profiles.exsd"/>
	<extension-point id="api" name="API" schema="schema/org_eclipse_mtj_api.exsd"/>
   <extension
         id="nature"
         name="J2ME Nature"
         point="org.eclipse.core.resources.natures">
      <requires-nature id="org.eclipse.jdt.core.javanature" />
      <runtime>
         <run class="org.eclipse.mtj.core.nature.J2MENature" />
      </runtime>
      <builder id="org.eclipse.jdt.core.javabuilder" />
      <builder id="org.eclipse.mtj.core.preverifier" />
   </extension>
   <extension
   		id="preprocessingNature"
   		name="Preprocessing Nature"
   		point="org.eclipse.core.resources.natures">
      <requires-nature id="org.eclipse.jdt.core.javanature" />
      <requires-nature id="org.eclipse.mtj.core.nature" />
      <runtime>
         <run class="org.eclipse.mtj.core.internal.preprocessor.PreprocessingNature" />
      </runtime>
      <builder id="org.eclipse.mtj.core.preprocessor" />
	</extension>
   <extension
         id="preprocessedNature"
         name="Preprocessed Nature"
         point="org.eclipse.core.resources.natures">
      <requires-nature id="org.eclipse.jdt.core.javanature" />
      <requires-nature id="org.eclipse.mtj.core.nature" />
      <runtime>
         <run class="org.eclipse.mtj.core.internal.preprocessor.PreprocessedNature" />
      </runtime>
   </extension>
   <extension
         id="l10nNature"
         name="Localization Nature"
         point="org.eclipse.core.resources.natures">
      <runtime>
         <run
               class="org.eclipse.mtj.internal.core.l10n.L10nNature">
         </run>
      </runtime>
      <requires-nature
            id="org.eclipse.mtj.core.nature">
      </requires-nature>
      <builder
            id="org.eclipse.mtj.core.l10nBuilder">
      </builder>
   </extension>
   <extension
         id="preverifier"
         name="Preverification"
         point="org.eclipse.core.resources.builders">
      <builder
            hasNature="true">
         <run
               class="org.eclipse.mtj.core.internal.preverification.builder.PreverificationBuilder">
         </run>
      </builder>
   </extension>
      <extension id="preprocessor" name="Preprocessor" point="org.eclipse.core.resources.builders">
      <builder hasNature="true">
         <run class="org.eclipse.mtj.core.internal.preprocessor.PreprocessorBuilder" />
      </builder>
   </extension>
   <extension
         id="l10nBuilder"
         name="Localization Builder"
         point="org.eclipse.core.resources.builders">
      <builder
            hasNature="false">
         <run
               class="org.eclipse.mtj.internal.core.l10n.L10nBuilder">
         </run>
      </builder>
   </extension>
   <extension
         id="preprocessor.problemmarker"
         name="Preprocessor Problem Marker"
         point="org.eclipse.core.resources.markers">
      <super type="org.eclipse.core.resources.problemmarker"/>
	  <super type="org.eclipse.core.resources.textmarker"/>
      <persistent value="true"/>
   </extension>
   <extension
         id="org.eclipse.mtj.launchConfigTypes"
         name="Launch Config Types"
         point="org.eclipse.debug.core.launchConfigurationTypes">
      <launchConfigurationType
            id="MTJ.emulatorLaunchConfigurationType"
            name="Wireless Toolkit Emulator"
            delegate="org.eclipse.mtj.core.internal.launching.EmulatorLaunchConfigDelegate"
            modes="run,debug"
            sourceLocatorId="org.eclipse.jdt.launching.sourceLocator.JavaSourceLookupDirector"
            sourcePathComputerId="org.eclipse.jdt.launching.sourceLookup.javaSourcePathComputer">
            
            <!-- sourcePathComputerId="org.eclipse.mtj.core.launching.emulationSourcePathComputer" -->
      </launchConfigurationType>
   </extension>
   <extension point="org.eclipse.jdt.core.classpathContainerInitializer">
      <classpathContainerInitializer
            class="org.eclipse.mtj.core.internal.preprocessor.PreprocessedProjectClasspathInitializer"
            id="org.eclipse.mtj.core.PP_CONTAINER">
      </classpathContainerInitializer>
   </extension>
   <extension
         point="org.eclipse.jdt.core.classpathContainerInitializer">
      <classpathContainerInitializer
            class="org.eclipse.mtj.core.internal.JavaMEClasspathContainerInitializer"
            id="org.elipse.mtj.JavaMEContainer">
      </classpathContainerInitializer>
   </extension>
	<extension point="org.eclipse.core.runtime.preferences">
		<initializer class="org.eclipse.mtj.core.internal.MTJCorePreferenceInitializer"/>
	</extension>
	 <extension
	       id="org.eclipse.mtj.team.fileTypes"
	       point="org.eclipse.team.core.fileTypes">
	    <fileTypes
	          extension="jad"
	          type="text"/>
	    <fileTypes
	          extension="mtj"
	          type="text"/>
	 </extension>
   
   <!-- Refactoring participants -->
   <extension
         point="org.eclipse.ltk.core.refactoring.moveParticipants">
      <moveParticipant
            class="org.eclipse.mtj.core.internal.refactoring.MidletMoveParticipant"
            id="org.eclipse.mtj.core.refactoring.midletMoveParticipant"
            name="Midlet Move Participant">
         <enablement>
           <with variable="affectedNatures">
             <iterate operator="or">
               <equals value="org.eclipse.mtj.core.nature"/>
             </iterate>
           </with>
           <with variable="element">
   	         <instanceof value="org.eclipse.jdt.core.IType"/>
           </with>
         </enablement>
      </moveParticipant>
   </extension>
   <extension
         point="org.eclipse.ltk.core.refactoring.deleteParticipants">
      <deleteParticipant
            class="org.eclipse.mtj.core.internal.refactoring.MidletDeleteParticipant"
            id="org.eclipse.mtj.core.refactoring.midletDeleteParticipant"
            name="Midlet Delete Participant">
         <enablement>
           <with variable="affectedNatures">
             <iterate operator="or">
               <equals value="org.eclipse.mtj.core.nature"/>
             </iterate>
           </with>
           <with variable="element">
   	         <instanceof value="org.eclipse.jdt.core.IType"/>
           </with>
         </enablement>
      </deleteParticipant>
      <deleteParticipant
            class="org.eclipse.mtj.core.internal.refactoring.PackageDeleteParticipant"
            id="org.eclipse.mtj.core.refactoring.packageDeleteParticipant"
            name="Package Delete Participant">
         <enablement>
           <with variable="affectedNatures">
             <iterate operator="or">
               <equals value="org.eclipse.mtj.core.nature"/>
             </iterate>
           </with>
           <with variable="element">
   	         <instanceof value="org.eclipse.jdt.core.IPackageFragment"/>
           </with>
         </enablement>
      </deleteParticipant>
   </extension>
   <extension
         point="org.eclipse.ltk.core.refactoring.renameParticipants">
      <renameParticipant
            class="org.eclipse.mtj.core.internal.refactoring.MidletRenameParticipant"
            id="org.eclipse.mtj.core.refactoring.midletRenameParticipant"
            name="Midlet Rename Participant">
         <enablement>
           <with variable="affectedNatures">
             <iterate operator="or">
               <equals value="org.eclipse.mtj.core.nature"/>
             </iterate>
           </with>
           <with variable="element">
   	         <instanceof value="org.eclipse.jdt.core.IType"/>
           </with>
         </enablement>
      </renameParticipant>
      <renameParticipant
            class="org.eclipse.mtj.core.internal.refactoring.JadLaunchConfigProjectRenameParticipant"
            name="JAD Launch Configuration Project Rename Participant"
            id="org.eclipse.mtj.debug.refactoring.jadLaunchConfiguration.projectRename">
         <enablement>
           <with variable="affectedNatures">
             <iterate operator="or">
               <equals value="org.eclipse.mtj.core.nature"/>
             </iterate>
           </with>
           <with variable="element">
   	         <instanceof value="org.eclipse.jdt.core.IJavaProject"/>
           </with>
         </enablement>
      </renameParticipant>
      <renameParticipant
            class="org.eclipse.mtj.core.internal.refactoring.PackageRenameParticipant"
            id="org.eclipse.mtj.core.refactoring.packageRenameParticipant"
            name="Package Rename Participant">
		 <enablement>
           <with variable="affectedNatures">
             <iterate operator="or">
               <equals value="org.eclipse.mtj.core.nature"/>
             </iterate>
           </with>
           <with variable="element">
   	         <instanceof value="org.eclipse.jdt.core.IPackageFragment"/>
           </with>
         </enablement>
      </renameParticipant>
   </extension>
   <extension
         name="Base Configurations"
         point="org.eclipse.mtj.core.configurations">
      <configuration
            id="CLDC-1.0"
            name="Connected Limited Device Configuration (1.0)"
            version="1.0"/>
      <configuration
            id="CLDC-1.1"
            name="Connected Limited Device Configuration (1.1)"
            version="1.1"/>
   </extension>
   <extension
         name="Base Profiles"
         point="org.eclipse.mtj.core.profiles">
      <profile
            id="MIDP-1.0"
            name="Mobile Information Device Profile (1.0)"
            version="1.0"/>
      <profile
            id="MIDP-2.0"
            name="Mobile Information Device Profile (2.0)"
            version="2.0"/>
      <profile
            id="MIDP-2.1"
            name="Mobile Information Device Profile (2.1)"
            version="2.1"/>
      <profile
            id="IMP-1.0"
            name="Information Module Profile (1.0)"
            version="1.0"/>
      <profile
            id="IMP-NG"
            name="Information Module Profile (NG)"
            version="2.0"/>
   </extension>
   
   <!-- Preprocessor support -->
   <extension
         point="org.eclipse.debug.core.sourcePathComputers">
      <sourcePathComputer
            class="org.eclipse.mtj.core.internal.launching.EmulationJavaSourcePathComputer"
            id="org.eclipse.mtj.core.launching.emulationSourcePathComputer"/>
   </extension>
   <extension
         id="problem"
         name="Java ME Problem"
         point="org.eclipse.core.resources.markers">
      <super
            type="org.eclipse.jdt.core.problem">
      </super>
      <persistent
            value="true">
      </persistent>
   </extension>
   <extension
         id="device.missing"
         name="Java ME Missing device definition"
         point="org.eclipse.core.resources.markers">
      <super
            type="org.eclipse.jdt.core.problem">
      </super>
      <persistent
            value="true">
      </persistent>
      <attribute
            name="id">
      </attribute>
   </extension>
   <extension
         point="org.eclipse.ltk.core.refactoring.moveParticipants">
      <moveParticipant
            class="org.eclipse.mtj.core.internal.refactoring.L10NResourcesMoveParticipant"
            id="org.eclipse.mtj.core.refactoring.LocalizationDataMoveParticipant"
            name="Localization Data Move Participant">
         <enablement>
           <with variable="affectedNatures">
             <iterate operator="or">
               <equals value="org.eclipse.mtj.core.nature"/>
             </iterate>
           </with>
           <with variable="element">
   	         <instanceof value="org.eclipse.jdt.core.ICompilationUnit"/>
           </with>
         </enablement>
      </moveParticipant>
   </extension>
   <extension
         point="org.eclipse.core.runtime.contentTypes">
      <content-type
            base-type="org.eclipse.core.runtime.xml"
            file-names="Localization Data"
            id="localizationData"
            name="Localization Data File"
            priority="high">
         <describer
               class="org.eclipse.core.runtime.content.XMLRootElementContentDescriber">
            <parameter
                  name="element"
                  value="locales">
            </parameter>
         </describer>
      </content-type>
   </extension>
   <extension id="org.eclipse.mtj.core.resources.api" point="org.eclipse.mtj.core.api">
      <api
            id="CLDC"
            name="Connected Limited Device Configuration"
            primaryClass="java.lang.Float"
            type="configuration"
            version="1.1">
      </api>
      <api
            id="CLDC"
            name="Connected Limited Device Configuration"
            primaryClass="javax.microedition.io.Connection"
            type="configuration"
            version="1.0">
      </api>
      
      <!-- Supported profiles.  Order is important here to handle matching -->
      <api
            id="MIDP"
            name="Mobile Information Device Profile"
            primaryClass="javax.microedition.io.SecurityInfo"
            type="profile"
            version="2.0">
      </api>
      <api
            id="MIDP"
            name="Mobile Information Device Profile"
            primaryClass="javax.microedition.lcdui.Item"
            type="profile"
            version="1.0">
      </api>
      <api
            id="IMP"
            name="Information Module Profile"
            primaryClass="javax.microedition.midlet.MIDlet"
            type="profile"
            version="1.0">
      </api>
      
      <!-- Optional API packages.  -->
      <api
            id="JSR75"
            name="File Connection and PIM Optional Packages"
            primaryClass="javax.microedition.pim.PIM"
            type="optional"
            version="1.0">
      </api>
      <api
            id="JSR82"
            name="Java APIs for Bluetooth Wireless Technology"
            primaryClass="javax.bluetooth.LocalDevice"
            type="optional"
            version="1.0">
      </api>
      <api
            id="JSR172"
            name="J2ME Web Services"
            primaryClass="javax.microedition.xml.rpc.Element"
            type="optional"
            version="1.0">
      </api>
      <api
            id="JSR179"
            name="Location Based APIs"
            primaryClass="javax.microedition.location.Location"
            type="optional"
            version="1.0">
      </api>
      <api
            id="JSR180"
            name="SIP API"
            primaryClass="javax.microedition.sip.SipConnection"
            type="optional"
            version="1.0">
      </api>
      <api
            id="JSR184"
            name="Mobile 3D Graphics Optional Package"
            primaryClass="javax.microedition.m3g.Mesh"
            type="optional"
            version="1.1">
      </api>
      <api
            id="JSR211"
            name="ContentHandler APIs"
            primaryClass="javax.microedition.content.Registry"
            type="optional"
            version="1.0">
      </api>
      <api
            id="JSR226"
            name="SVG API"
            primaryClass="javax.microedition.m2g.ScalableGraphics"
            type="optional"
            version="1.0">
      </api>
      <api
            id="JSR229"
            name="Payment API"
            primaryClass="javax.microedition.payment.TransactionModule"
            type="optional"
            version="1.0">
      </api>
      <api
            id="JSR234"
            name="Advanced Multimedia Supplements API"
            primaryClass="javax.microedition.amms.GlobalManager"
            type="optional"
            version="1.0">
      </api>
      <api
            id="JSR238"
            name="Mobile Internationalization API"
            primaryClass="javax.microedition.global.ResourceManager"
            type="optional"
            version="1.0">
      </api>      
      <api
            id="JSR239"
            name="Java(TM) Binding for OpenGL(R) ES API Reference Implementation"
            primaryClass=".javax.microedition.khronos.egl.EGL"
            type="optional"
            version="1.0">
      </api>      
      
      <api
            id="MMAPI"
            name="Mobile Media API"
            primaryClass="javax.microedition.media.control.MIDIControl"
            type="optional"
            version="1.1">
      </api>
      <api
            id="NokiaUI"
            name="Nokia API Extensions"
            primaryClass="com.nokia.mid.ui.DeviceControl"
            type="optional"
            version="1.0">
      </api>
      <api
            id="SATSA-APDU"
            name="Application Protocol Data Unit APIs"
            primaryClass="javax.microedition.apdu.APDUConnection"
            type="optional"
            version="1.0">
      </api>
      <api
            id="SATSA-CRYPTO"
            name="Java Cryptographics Extension APIs"
            primaryClass="javax.crypto.Cipher"
            type="optional"
            version="1.0">
      </api>
      <api
            id="SATSA-JCRMI"
            name="Java Card RMI APIs"
            primaryClass="javax.microedition.jcrmi.JavaCardRMIConnection"
            type="optional"
            version="1.0">
      </api>
      <api
            id="SATSA-PKI"
            name="Security and Trust Services APIs"
            primaryClass="javax.microedition.pki.UserCredentialManager"
            type="optional"
            version="1.0">
      </api>
      <api
            id="VSCL"
            name="Vodafone Specific Class Library"
            primaryClass="com.vodafone.midlet.ResidentMIDlet"
            type="optional"
            version="1.0">
      </api>
      <api
            id="WMA"
            name="Wireless Messaging API"
            primaryClass="javax.wireless.messaging.MultipartMessage"
            type="optional"
            version="2.0">
      </api>
      <api
            id="WMA"
            name="Wireless Messaging API"
            primaryClass="javax.wireless.messaging.Message"
            type="optional"
            version="1.0">
      </api>
   </extension>
</plugin>
